unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Diagram;

type

  { TForm1 }

  TForm1 = class(TForm)
    Diagram1: TDiagram;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var x,y:double;
begin
  x:=-10;
  Diagram1.Curve['Curve1'].Pen.Color:=clBlue;
  Diagram1.Curve['Curve1'].Pen.Width:=2;
  Diagram1.Curve['Curve1'].MinY:=-3;
  Diagram1.Curve['Curve1'].MaxY:=3;
  Diagram1.Curve['Curve1'].AxisY.ScaleStep:=1;
  Diagram1.Curve['Curve1'].Grid.GridStepY:=0.25;
  Diagram1.AddCurve('синусоида');
  Diagram1.Curve['синусоида'].Pen.Color:=clRed;
  Diagram1.Curve['синусоида'].Pen.Width:=2;
  Diagram1.Curve['синусоида'].MinY:=-3;
  Diagram1.Curve['синусоида'].MaxY:=3;
  repeat
  y:=cos(x);
  Diagram1.Curve['Curve1'].AddPoint(x,y);
  y:=sin(x);
  Diagram1.Curve['синусоида'].AddPoint(x,y);
  x:=x+0.1;
  until x>10;
end;

end.

